// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import 'babel-polyfill'
//import './util/vconsole'

import Vue from 'vue'
import FastClick from 'fastclick'
import {
  router
} from './router/index'
import vuxComponent from './vender/vuxComponent'
import util from './util/util'
import App from './App'
import {
  ToastPlugin
} from 'vux'

import X2JS from 'x2js'
import iView from 'iview'
import 'iview/dist/styles/iview.css'; // 使用 CSS
import Vant from "vant";
import "vant/lib/index.css";
import VueBetterScroll from "vue2-better-scroll";
Vue.use(VueBetterScroll)
import store from './store'
//import './assets/themes/theme-default.scss'
import './components.js';
import datePickerUtil from './util/datePickerUtil'

import VCharts from 'v-charts'
Vue.use(Vant);
import {
  Toast
} from "vant";
import {
  Lazyload
} from "vant";
Vue.use(Lazyload);
Vue.use(Toast);
Vue.use(VCharts)
Vue.use(ToastPlugin)
Vue.use(iView)
Vue.prototype.util = util
Vue.prototype._x2js = new X2JS()
Vue.prototype.$datePickerUtil = datePickerUtil

// FastClick.attach(document.body)

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  router,
  store: store,
  render: h => h(App)
}).$mount('#app-box')
